2018-12-16 04:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000150QElectroTechDiagram Editorpublic2018-03-29 16:42
Reportergabberworld 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platform64OSwindowsOS Version10
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000150: monitor scale
Descriptionwhen using monitor scale example 200% at my monitor by default then text size too big because GUI not use fully the auto DPI for windows
TagsNo tags attached.
Attached Files
  • png file icon qelectro.png (178,922 bytes) 2018-01-20 11:33 -
    png file icon qelectro.png (178,922 bytes) 2018-01-20 11:33 +
  • png file icon qelectro_dpi_enabled.png (190,193 bytes) 2018-01-26 02:14 -
    png file icon qelectro_dpi_enabled.png (190,193 bytes) 2018-01-26 02:14 +
  • png file icon blur_text_vs_high_res_txt.png (401,116 bytes) 2018-01-30 13:12
  • rar file icon QElectro.rar (15,727 bytes) 2018-02-04 13:39
  • patch file icon HiDPI.patch (759 bytes) 2018-02-15 18:56 -
    
    diff --git a/sources/main.cpp b/sources/main.cpp
    index .. 100644
    --- a/sources/main.cpp
    +++ b/sources/main.cpp
    @@ -32,14 +32,10 @@
     	QCoreApplication::setApplicationName("QElectroTech");
     		//Creation and execution of the application
     		//HighDPI
    -#if QT_VERSION >= QT_VERSION_CHECK (5, 6, 0)
    -#if defined Q_OS_MAC
    -    QApplication::setAttribute (Qt::AA_EnableHighDpiScaling);
    -#elif !defined(Q_OS_MAC)
    -    QApplication::setAttribute (Qt::AA_DisableHighDpiScaling);
    +#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
    +    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
     #else
    -    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("1"));
    +    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("auto"));
     #endif
    -#endif
     	return(QETApp(argc, argv).exec());
     }
    
    patch file icon HiDPI.patch (759 bytes) 2018-02-15 18:56 +
  • patch file icon HighDpi.patch (2,568 bytes) 2018-02-19 14:52 -
    Index: qelectrotech.pro
    ===================================================================
    --- qelectrotech.pro	(revision 5241)
    +++ qelectrotech.pro	(working copy)
    @@ -31,7 +31,7 @@
     	QET_LANG_PATH              = 'lang/'
     	QET_LICENSE_PATH           = './'
     	# Liste des ressources Windows
    -    RC_FILE = qelectrotech.rc
    +    #RC_FILE = qelectrotech.rc
     }
     macx {
     	# Chemins MacOS X
    Index: sources/diagramprintdialog.cpp
    ===================================================================
    --- sources/diagramprintdialog.cpp	(revision 5241)
    +++ sources/diagramprintdialog.cpp	(working copy)
    @@ -354,7 +354,25 @@
     */
     void DiagramPrintDialog::print(const QList<Diagram *> &diagrams, bool fit_page, const ExportProperties options) {
     	//qDebug() << "Demande d'impression de " << diagrams.count() << "schemas.";
    -	
    +#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
    +    #ifdef Q_OS_WIN
    +        #ifdef QT_DEBUG
    +            qDebug() << "--";
    +            qDebug() << "DiagramPrintDialog::print  printer_->resolution() before " << printer_->resolution();
    +            qDebug() << "DiagramPrintDialog::print  screennumber " << QApplication::desktop()->screenNumber();
    +        #endif
    +
    +        QScreen *srn = QApplication::screens().at(QApplication::desktop()->screenNumber());
    +        qreal dotsPerInch = (qreal)srn->logicalDotsPerInch();
    +        printer_->setResolution(dotsPerInch);
    +
    +        #ifdef QT_DEBUG
    +            qDebug() << "DiagramPrintDialog::print  dotsPerInch " << dotsPerInch;
    +            qDebug() << "DiagramPrintDialog::print  printer_->resolution() after" << printer_->resolution();
    +            qDebug() << "--";
    +        #endif
    +    #endif
    +#endif
     	// QPainter utiliser pour effectuer le rendu
     	QPainter qp(printer_);
     	
    Index: sources/main.cpp
    ===================================================================
    --- sources/main.cpp	(revision 5241)
    +++ sources/main.cpp	(working copy)
    @@ -32,14 +32,10 @@
     	QCoreApplication::setApplicationName("QElectroTech");
     		//Creation and execution of the application
     		//HighDPI
    -#if QT_VERSION >= QT_VERSION_CHECK (5, 6, 0)
    -#if defined Q_OS_MAC
    -    QApplication::setAttribute (Qt::AA_EnableHighDpiScaling);
    -#elif !defined(Q_OS_MAC)
    -    QApplication::setAttribute (Qt::AA_DisableHighDpiScaling);
    +#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
    +    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
     #else
    -    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("1"));
    +    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("auto"));
     #endif
    -#endif
     	return(QETApp(argc, argv).exec());
     }
    
    patch file icon HighDpi.patch (2,568 bytes) 2018-02-19 14:52 +

-Relationships
+Relationships

-Notes

~0000267

scorpio810 (administrator)

Last edited: 2018-01-20 19:36

View 2 revisions

What your QET version?
https://qelectrotech.org/forum/viewtopic.php?id=717

~0000268

gabberworld (reporter)

Version 0.7 (development)

~0000269

scorpio810 (administrator)

In the past I have enabled Qt::AA_EnableHighDpiScaling only for macOS, a lot of windows users have many rendering problems with Qt::AA_EnableHighDpiScaling, see previous link.

#if QT_VERSION >= QT_VERSION_CHECK (5, 6, 0)
#if defined Q_OS_MAC
    QApplication::setAttribute (Qt::AA_EnableHighDpiScaling);
#elif !defined(Q_OS_MAC)
    QApplication::setAttribute (Qt::AA_DisableHighDpiScaling);
#else
    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("1"));
#endif
#endif

We don't have 4K screens for check, sorry.

~0000271

gabberworld (reporter)

what problem it caused in windows users?, it seems works just fine in windows 10 at me when i use QApplication::setAttribute (Qt::AA_EnableHighDpiScaling);

~0000272

scorpio810 (administrator)

Last edited: 2018-01-26 05:38

View 3 revisions

You could see topic here : https://qelectrotech.org/forum/viewtopic.php?pid=4573#p4573
https://qelectrotech.org/forum/viewtopic.php?id=1050

~0000273

scorpio810 (administrator)

Have you see problem like this video when you enable Qt::AA_EnableHighDpiScaling?
https://youtu.be/BIBMj2SSBXM

~0000274

gabberworld (reporter)

yes it happens when i select the Print to a physical printer but it not happens when i select the Print to a PDF file

~0000275

scorpio810 (administrator)

https://bugreports.qt.io/issues/?jql=project+%3D+QTBUG+AND+component+%3D+%22GUI%3A+Windows+integration%22+AND+status+%3D+%22In+Progress%22+ORDER+BY+priority+DESC

You could try this solution ?
https://bugreports.qt.io/browse/QTBUG-49374?focusedCommentId=329338&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-329338

~0000276

gabberworld (reporter)

/*
    Copyright 2006-2017 The QElectroTech Team
    This file is part of QElectroTech.
    
    QElectroTech is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.
    
    QElectroTech is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with QElectroTech.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "qetapp.h"

#if defined(Q_OS_WIN32)
    #include "ShellScalingApi.h"
#endif

/**
 * @brief main
 * Main function of QElectroTech
 * @param argc : number of paramètres
 * @param argv : paramètres
 * @return
 */
int main(int argc, char **argv)
{
        //Some setup, notably to use with QSetting.
    QCoreApplication::setOrganizationName("QElectroTech");
    QCoreApplication::setOrganizationDomain("qelectrotech.org");
    QCoreApplication::setApplicationName("QElectroTech");
        //Creation and execution of the application
        //HighDPI

    #if defined(Q_OS_WIN32)
        typedef BOOL (*SetProcessDpiAwarenessT)(PROCESS_DPI_AWARENESS value);
        QLibrary user32("user32.dll", NULL);
        SetProcessDpiAwarenessT SetProcessDpiAwarenessD=(SetProcessDpiAwarenessT)user32.resolve("SetProcessDpiAwarenessInternal");
        
if(SetProcessDpiAwarenessD)
            SetProcessDpiAwarenessD(PROCESS_DPI_UNAWARE); //Process_DPI_Unaware
    #elif defined(Q_OS_MAC)
       QApplication::setAttribute (Qt::AA_EnableHighDpiScaling);
    #else
        qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("1"));
    #endif

    return(QETApp(argc, argv).exec());
}


well, it seems it fix the Print to a physical printer

~0000278

gabberworld (reporter)

there is one small issue with that code tho, text is no clear

~0000279

scorpio810 (administrator)

I have problem with ShellScalingApi.h where do you find it ?

sources/main.cpp:42:43: error: call of overloaded 'QLibrary(const char [11], NULL)' is ambiguous
         
QLibrary user32("user32.dll", NULL);
                                           ^
In file included from ../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtCore/QtCore:88:0,
                 from ../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtXml/QtXmlDepends:3,
                 from ../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtXml/QtXml:3,
                 from sources/nameslist.h:20,
                 from sources/ElementsCollection/elementslocation.h:21,
                 from sources/qetapp.h:26,
                 from sources/main.cpp:18:
../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtCore/qlibrary.h:71:14: note: candidate: QLibrary::QLibrary(const 
QString&, const QString&, QObject*)
     explicit QLibrary(const QString& fileName, const QString &version, QObject *parent = Q_NULLPTR);
              
^~~~~~~~
../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtCore/qlibrary.h:70:14: note: candidate: QLibrary::QLibrary(const 
QString&, int, QObject*)
     explicit QLibrary(const QString& fileName, int verNum, QObject *parent = Q_NULLPTR);
              ^~~~~~~~
../../mxe/usr/x86_64-w64-mingw32.static/qt5/include/QtCore/qlibrary.h:69:14: note: candidate: QLibrary::QLibrary(const 
QString&, QObject*)
     explicit QLibrary(const QString& fileName, QObject *parent = Q_NULLPTR);

~0000280

gabberworld (reporter)

C:\Program Files (x86)\Windows Kits\10\Include\10.0.14393.0\shared

~0000281

scorpio810 (administrator)

http://doc.qt.io/qt-5/highdpi.html

Qt applications by default are Per-Monitor DPI Aware on Windows 8.1 or System-DPI Aware on older versions of Windows. As of Qt 5.4, the level can be specified by passing a parameter to the platform plugin (see Using qt.conf):

<application> -platform windows:dpiawareness=0,1,2

Or try
https://groups.google.com/forum/#!searchin/opentoonz_en/DPI$20and$20qt%7Csort:relevance/opentoonz_en/4yWzTVQraDM/Oaa_6zM8BwAJ

~0000282

gabberworld (reporter)

#ifdef Q_OS_WIN
#include <Windows.h>

typedef enum PROCESS_DPI_AWARENESS {
    PROCESS_DPI_UNAWARE = 0,
    PROCESS_SYSTEM_DPI_AWARE = 1,
    PROCESS_PER_MONITOR_DPI_AWARE = 2
} PROCESS_DPI_AWARENESS;
#endif


if there no #include "ShellScalingApi.h" then you can use this

~0000284

scorpio810 (administrator)

You could try it?

/*
    Copyright 2006-2017 The QElectroTech Team
    This file is part of QElectroTech.
    
    QElectroTech is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.
    
    QElectroTech is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with QElectroTech.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "qetapp.h"

#ifdef Q_OS_WIN
#include <windows.h>
#include <winuser.h>
#endif


/**
 * @brief main
 * Main function of QElectroTech
 * @param argc : number of paramètres
 * @param argv : paramètres
 * @return
 */
int main(int argc, char **argv)
{
        //Some setup, notably to use with QSetting.
    QCoreApplication::setOrganizationName("QElectroTech");
    QCoreApplication::setOrganizationDomain("qelectrotech.org");
    QCoreApplication::setApplicationName("QElectroTech");
        //Creation and execution of the application
      //HighDPI



#ifdef Q_OS_WIN
#ifndef DPI_ENUMS_DECLARED
    typedef enum PROCESS_DPI_AWARENESS
    {
        PROCESS_DPI_UNAWARE = 0,
        PROCESS_SYSTEM_DPI_AWARE = 1,
        PROCESS_PER_MONITOR_DPI_AWARE = 2
    } PROCESS_DPI_AWARENESS;
#endif
    typedef BOOL (WINAPI * SETPROCESSDPIAWARE_T)(void);
    typedef HRESULT (WINAPI * SETPROCESSDPIAWARENESS_T)(PROCESS_DPI_AWARENESS);

    HMODULE shcore = LoadLibraryA("Shcore.dll");
    SETPROCESSDPIAWARENESS_T SetProcessDpiAwareness = NULL;
    if (shcore) {
        SetProcessDpiAwareness = (SETPROCESSDPIAWARENESS_T) GetProcAddress(shcore, "SetProcessDpiAwareness");
    
}
    HMODULE user32 = LoadLibraryA("User32.dll");
    SETPROCESSDPIAWARE_T SetProcessDPIAware = NULL;
    if (user32) {
        SetProcessDPIAware = (SETPROCESSDPIAWARE_T) GetProcAddress(user32, "SetProcessDPIAware");
    
}
    qDebug()<<"SetProcessDpiAwareness---"<<*SetProcessDpiAwareness;
    
    if (user32) {
        FreeLibrary(user32);
    }
    if (shcore) {
        FreeLibrary(shcore);
    }
#endif 

#if QT_VERSION >= QT_VERSION_CHECK(5,6,0)
    QApplication::setAttribute(Qt::AA_DisableHighDpiScaling);
#else
    float sca =  winDpiScale();
    sca = qRound(sca);
    // qDebug()<<"sca:"<<sca;
    QByteArray b = QByteArray::number(sca,'f',0);
    qputenv("QT_DEVICE_PIXEL_RATIO",b);
#endif

#ifdef Q_OS_WIN
    SetProcessDPIAware();
#endif
 
    return(QETApp(argc, argv).exec());
}

~0000285

gabberworld (reporter)

with manifest it give same results as i posted code before in post 0000150:0000276

~0000286

scorpio810 (administrator)

Last edited: 2018-02-04 15:46

View 2 revisions

And you think I can commit this code now ?
For now I saw no error in compiler with mxe cross-compiler.
I found it at this url : Qt5 ?????

~0000287

gabberworld (reporter)

that code not worked for me what you posted at 0000150:0000284

and i think it's better if you add manifest for the QElectroTech.exe as currently it not have that

i added example to the QElectro.rar file how to include manifest to windows, then you don't need make changes in main.cpp

~0000288

gabberworld (reporter)

made small change at manifest file

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

<assembly manifestVersion="1.0" xmlns="urn:schemas-microsoft-com:asm.v1" xmlns:asmv3="urn:schemas-microsoft-com:asm.v3">

<dependency>
  <dependentAssembly>
    <assemblyIdentity
     type="win32"
     name="Microsoft.Windows.Common-Controls"
     version="6.0.0.0" processorArchitecture="*"
     publicKeyToken="6595b64144ccf1df"
     language="*">
    </assemblyIdentity>
  </dependentAssembly>
</dependency>
    <asmv3:application>
        <asmv3:windowsSettings>
            <dpiAware xmlns="http://schemas.microsoft.com/SMI/2005/WindowsSettings">true/pm</dpiAware> 
<!-- fallback for Windows 7 and 8 -->
            <dpiAwareness xmlns="http://schemas.microsoft.com/SMI/2016/WindowsSettings">permonitorv2,permonitor</dpiAwareness> 
<!-- falls back to per-monitor if per-monitor v2 is not supported -->
            <gdiScaling xmlns="http://schemas.microsoft.com/SMI/2017/WindowsSettings">true</gdiScaling> 
<!-- enables GDI DPI scaling -->
        </asmv3:windowsSettings>
    </asmv3:application>
</assembly>

~0000289

gabberworld (reporter)

if you add manifest then it may close this

~0000290

scorpio810 (administrator)

Last edited: 2018-02-04 19:36

View 3 revisions


svn diff
Index: qelectrotech.exe.manifest
===================================================================
--- qelectrotech.exe.manifest   (nonexistent)
+++ qelectrotech.exe.manifest   (copie de travail)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+
+<assembly manifestVersion="1.0" xmlns="urn:schemas-microsoft-com:asm.v1" xmlns:asmv3="urn:schemas-microsoft-com:asm.v3">

+
+<dependency>
+  <dependentAssembly>
+    <assemblyIdentity
+     type="win32"
+     name="Microsoft.Windows.Common-Controls"
+     version="6.0.0.0" processorArchitecture="*"
+     publicKeyToken="6595b64144ccf1df"
+     language="*">
+    </assemblyIdentity>
+  </dependentAssembly>
+</dependency>
+    <asmv3:application>
+        <asmv3:windowsSettings>
+            <dpiAware xmlns="http://schemas.microsoft.com/SMI/2005/WindowsSettings">true/pm</dpiAware> 

+<!-- fallback for Windows 7 and 8 -->
+            <dpiAwareness xmlns="http://schemas.microsoft.com/SMI/2016/WindowsSettings">permonitorv2,permonitor</dpiAwareness> 

+<!-- falls back to per-monitor if per-monitor v2 is not supported -->
+            <gdiScaling xmlns="http://schemas.microsoft.com/SMI/2017/WindowsSettings">true</gdiScaling> 

+<!-- enables GDI DPI scaling -->
+        </asmv3:windowsSettings>
+    </asmv3:application>
+</assembly>
Index: qelectrotech.pro
===================================================================
--- qelectrotech.pro    (révision 5226)
+++ qelectrotech.pro    (copie de travail)
@@ -30,6 +30,8 @@
        QET_COMMON_TBT_PATH        = 'titleblocks/'
        QET_LANG_PATH              = 'lang/'
        QET_LICENSE_PATH           = './'
+               # Liste des ressources Windows
+    RC_FILE = qelectrotech.rc
 }
 macx {
        # Chemins MacOS X
Index: qelectrotech.rc
===================================================================
--- qelectrotech.rc     (nonexistent)
+++ qelectrotech.rc     (copie de travail)
@@ -0,0 +1,4 @@
+#include <windows.h>
+
+ID_ICON1 ICON DISCARDABLE "qelectrotech.ico"
+1 RT_MANIFEST "qelectrotech.exe.manifest"


~0000291

gabberworld (reporter)

if you dont want use that icon then remove the +ID_ICON1 ICON DISCARDABLE "qelectrotech.ico"

or it fill make build error

~0000292

gabberworld (reporter)

or change that for ID_ICON1 ICON DISCARDABLE "ico\windows_icon\qelectrotech.ico"

~0000294

scorpio810 (administrator)

I build new packages for Windows, I put manifest file in bin folder, you could try it?
Thanks.

~0000295

gabberworld (reporter)

seems that it works just fine

~0000301

scorpio810 (administrator)

you could try this, thanks?



#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#else
    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("auto"));
#endif

~0000302

gabberworld (reporter)

sure, what it should todo anyway? better pixels in high resolution?

~0000303

gabberworld (reporter)

by the way you should not use QT_DEVICE_PIXEL_RATIO anymore, it will be removed in future qt

~0000304

gabberworld (reporter)

qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("auto")); this is if someone use lower QT_VERSION, i have new version soo i cant test that

~0000305

gabberworld (reporter)

QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling); gives same effect like it give before with other code, if that what you want know. and like i understand QT is self full off bugs, soo i have no idea what it realy should todo or not

~0000306

scorpio810 (administrator)

Yes I try to clarify code and set Qt::AA_EnableHighDpiScaling for all other OS because manifest seem fix HIDPI on Windows.

gabberworld wrote

by the way you should not use QT_DEVICE_PIXEL_RATIO anymore, it will be removed in future qt

Yes I know but it's only if Qt version is < 5.6.0

https://github.com/ribtoks/xpiks/commit/981f3b1052824893f72cf86b8b9b47235b7cddb3

~0000307

scorpio810 (administrator)

Well, I think we will leave it as it is for now.

~0000308

gabberworld (reporter)

by default Qt::AA_EnableHighDpiScaling should work just fine even in windows, but if i understand QElectroTech uses custom made printview and i think it have bug at there somewhere, as it seems it draw lines right way and items wrong way.

currently it fix this issue by using rc file, but it seems that it's wrong way todo

~0000309

gabberworld (reporter)

and like i tell before print to pdf don't have this issue, that problem is only with print to physical printer

~0000310

gabberworld (reporter)

#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#else
    qputenv("QT_DEVICE_PIXEL_RATIO", QByteArray("auto"));
#endif 


if you use that then it make no changes in windows, because in windows mainfest overrides that

~0000311

gabberworld (reporter)

it looks like i found out with 2 day searching that this print bug comes probably at qt QPrint self, i can't confirm that 100%, anyway i started look differences between pdf print and normal pdf print and i ended in printer resolution()

in this HighDpi.patch i disabled the manifest as it seems we not need use that for now.

~0000312

scorpio810 (administrator)

Thanks.

~0000313

scorpio810 (administrator)

I think is a little typo ?

--- sources/diagramprintdialog.cpp
+++ sources/diagramprintdialog.cpp
@@ -354,7 +354,7 @@
 */
 void DiagramPrintDialog::print(const QList<Diagram *> &diagrams, bool fit_page, const ExportProperties 
options) {
     //qDebug() << "Demande d'impression de " << diagrams.count() << "schemas.";

-#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
+#if QT_VERSION >= QT_VERSION_CHECK(5, 6, 0)
     #ifdef Q_OS_WIN
         #ifdef QT_DEBUG
             qDebug() << "--";

~0000314

gabberworld (reporter)

+ QScreen *srn = QApplication::screens().at(QApplication::desktop()->screenNumber());
+ qreal dotsPerInch = (qreal)srn->logicalDotsPerInch();


may not work at qt 4 soo i added there qt 5

~0000315

scorpio810 (administrator)

QET no longer supports Qt4 libs since the beginning of 0.5 version. ;-)
I do not know if your change can be applied to all platforms, for the moment it is very difficult to have users feedback with these screens.
Thanks a lot for your help.
like this : https://lists.debian.org/debian-kde/2018/02/msg00010.html
+Notes

-Issue History
Date Modified Username Field Change
2018-01-20 11:27 gabberworld New Issue
2018-01-20 11:33 gabberworld File Added: qelectro.png
2018-01-20 19:04 scorpio810 Note Added: 0000267
2018-01-20 19:36 scorpio810 Note Edited: 0000267 View Revisions
2018-01-24 23:22 gabberworld Note Added: 0000268
2018-01-25 11:30 scorpio810 Note Added: 0000269
2018-01-26 02:03 gabberworld Note Added: 0000271
2018-01-26 02:14 gabberworld File Added: qelectro_dpi_enabled.png
2018-01-26 05:30 scorpio810 Note Added: 0000272
2018-01-26 05:38 scorpio810 Note Edited: 0000272 View Revisions
2018-01-26 05:38 scorpio810 Note Edited: 0000272 View Revisions
2018-01-28 18:55 scorpio810 Note Added: 0000273
2018-01-28 21:11 gabberworld Note Added: 0000274
2018-01-29 02:14 scorpio810 Note Added: 0000275
2018-01-29 17:57 gabberworld Note Added: 0000276
2018-01-30 12:52 gabberworld Note Added: 0000278
2018-01-30 13:12 gabberworld File Added: blur_text_vs_high_res_txt.png
2018-01-30 17:10 scorpio810 Note Added: 0000279
2018-01-30 17:46 gabberworld Note Added: 0000280
2018-01-30 18:22 scorpio810 Note Added: 0000281
2018-01-30 20:01 gabberworld Note Added: 0000282
2018-01-31 18:33 scorpio810 Note Added: 0000284
2018-02-04 13:39 gabberworld File Added: QElectro.rar
2018-02-04 13:39 gabberworld Note Added: 0000285
2018-02-04 15:43 scorpio810 Note Added: 0000286
2018-02-04 15:46 scorpio810 Note Edited: 0000286 View Revisions
2018-02-04 18:37 gabberworld Note Added: 0000287
2018-02-04 19:14 gabberworld Note Added: 0000288
2018-02-04 19:19 gabberworld Note Added: 0000289
2018-02-04 19:35 scorpio810 Note Added: 0000290
2018-02-04 19:35 scorpio810 Note Edited: 0000290 View Revisions
2018-02-04 19:36 scorpio810 Note Edited: 0000290 View Revisions
2018-02-04 20:35 gabberworld Note Added: 0000291
2018-02-04 20:45 gabberworld Note Added: 0000292
2018-02-06 17:26 scorpio810 Note Added: 0000294
2018-02-06 18:55 gabberworld Note Added: 0000295
2018-02-15 17:38 scorpio810 Note Added: 0000301
2018-02-15 18:56 scorpio810 File Added: HiDPI.patch
2018-02-17 00:23 gabberworld Note Added: 0000302
2018-02-17 00:39 gabberworld Note Added: 0000303
2018-02-17 02:25 gabberworld Note Added: 0000304
2018-02-17 04:19 gabberworld Note Added: 0000305
2018-02-17 15:43 scorpio810 Note Added: 0000306
2018-02-17 16:38 scorpio810 Note Added: 0000307
2018-02-17 16:55 gabberworld Note Added: 0000308
2018-02-17 17:10 gabberworld Note Added: 0000309
2018-02-17 17:15 gabberworld Note Added: 0000310
2018-02-19 14:52 gabberworld File Added: HighDpi.patch
2018-02-19 14:52 gabberworld Note Added: 0000311
2018-02-19 17:18 scorpio810 Note Added: 0000312
2018-02-19 17:56 scorpio810 Note Added: 0000313
2018-02-19 19:45 gabberworld Note Added: 0000314
2018-02-19 20:06 scorpio810 Note Added: 0000315
2018-03-29 16:42 scorpio810 Status new => resolved
2018-03-29 16:42 scorpio810 Resolution open => fixed
2018-03-29 16:42 scorpio810 Product Version => SVN/trunk
2018-03-29 16:42 scorpio810 Fixed in Version => SVN/trunk
+Issue History